Package com.sas.services.information.metadata.lookup

# Class LookupService

java.lang.Object
com.sas.services.information.metadata.lookup.LookupService

All Implemented Interfaces:
  `LookupServiceInterface`

@Deprecated public class LookupService extends Object implements LookupServiceInterface
Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static Mappings`
  `names`
  Deprecated.
  `static Mappings`
  `users`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MappingsInterface`
  `getNamesDelegate()`
  Deprecated.
  `boolean`
  `hasStarted()`
  Deprecated.
  `boolean`
  `isShutdown()`
  Deprecated.
  `LookupResultsInterface`
  `lookup(PathUrl oldValue)`
  Deprecated.
  `LookupResultsInterface`
  `lookup(String oldValue)`
  Deprecated.
  `LookupResultsInterface`
  `lookupForAbsolutePath(String oldAbsolutePath)`
  Deprecated.
  `MappingsInterface`
  `newUsersDelegate(PathUrl oldUsersRoot)`
  Deprecated.
  `void`
  `shutdownService()`
  Deprecated.
  `void`
  `startService(UserContextInterface user)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### users

    public static Mappings users
    Deprecated.

  - ### names

    public static Mappings names
    Deprecated.

- ## Method Details

  - ### newUsersDelegate

    public MappingsInterface newUsersDelegate(PathUrl oldUsersRoot)
    Deprecated.
    Specified by:
      `newUsersDelegate` in interface `LookupServiceInterface`

  - ### getNamesDelegate

    public MappingsInterface getNamesDelegate()
    Deprecated.
    Specified by:
      `getNamesDelegate` in interface `LookupServiceInterface`

  - ### shutdownService

    public void shutdownService()
    Deprecated.
    Specified by:
      `shutdownService` in interface `LookupServiceInterface`

  - ### startService

    public void startService(UserContextInterface user)
    Deprecated.
    Specified by:
      `startService` in interface `LookupServiceInterface`

  - ### lookup

    public LookupResultsInterface lookup(String oldValue)
    Deprecated.
    Specified by:
      `lookup` in interface `LookupServiceInterface`

  - ### lookup

    public LookupResultsInterface lookup(PathUrl oldValue)
    Deprecated.
    Specified by:
      `lookup` in interface `LookupServiceInterface`

  - ### lookupForAbsolutePath

    public LookupResultsInterface lookupForAbsolutePath(String oldAbsolutePath) throws ServiceException, RemoteException
    Deprecated.
    Specified by:
      `lookupForAbsolutePath` in interface `LookupServiceInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### hasStarted

    public boolean hasStarted()
    Deprecated.
    Specified by:
      `hasStarted` in interface `LookupServiceInterface`

  - ### isShutdown

    public boolean isShutdown()
    Deprecated.
    Specified by:
      `isShutdown` in interface `LookupServiceInterface`